List publications
View as MarkdownGET
/v1/workspaces/{workspaceId}/publicationsPublications in a workspace the caller can see (view access to the published document), optionally of one document.
docs:readRead-only
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/publications" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Query parameters
- documentIdULID
Response
- publicationsPublication[]
Show 15 fieldsHide fields
- idULID
- connectionIdULID
- connectorstring
- documentIdULID
- includeSubpagesboolean
Publish only documents whose property equals this (lists: contains it).
- configobject
- autoPublishboolean
- itemsPublicationItem[]
Show 9 fieldsHide fields
- idULID
- documentIdULID
- statestring
One of
draftscheduledpublishingpublishedupdated_pendingfailedunpublisheddiverged For diverged items: reason, base/ours/theirs (destination format), conflicts, marked text and the pull request.
- updatedAttimestamp
- createdAttimestamp
- updatedAttimestamp
{
"publications": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"connectionId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"connector": "string",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"includeSubpages": false,
"filter": null,
"config": {},
"autoPublish": false,
"lastRunAt": null,
"items": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"state": "draft",
"externalId": null,
"externalUrl": null,
"lastPublishedAt": null,
"lastError": null,
"divergence": null,
"updatedAt": "2026-11-12T09:30:00.000Z"
}
],
"createdBy": null,
"updatedBy": null,
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z"
}
]
}Errors use one envelope for every endpoint. See Errors and versions.